ArtifactTransform (Gradle API 7.6.3)

Package org.gradle.api.artifacts.transform

## Class ArtifactTransform

- java.lang.Object
- - org.gradle.api.artifacts.transform.ArtifactTransform

-     @Deprecated
      public abstract class ArtifactTransform
      extends java.lang.Object

  Deprecated.
  Use `TransformAction` instead.
  Base class for artifact transforms.

  Implementations must provide a public constructor. The constructor may optionally accept parameters, in which case it must be annotated with `Inject`. The following parameters are available:

  - The objects provided to `ActionConfiguration.setParams(Object...)`.
  Since:
    3.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArtifactTransform()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getOutputDirectory()` | Deprecated. Returns the workspace location for this transform, which is the directory that the transform should write its output files to.
    `void` | `setOutputDirectory​(java.io.File outputDirectory)` | Deprecated.
    `abstract java.util.List<java.io.File>` | `transform​(java.io.File input)` | Deprecated. Transforms the given input artifact file or directory and returns the result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactTransform

          public ArtifactTransform()

      Deprecated.

  - ### Method Detail

    - #### getOutputDirectory

          public java.io.File getOutputDirectory()

      Deprecated.
      Returns the workspace location for this transform, which is the directory that the transform should write its output files to.

    - #### setOutputDirectory

          public void setOutputDirectory​(java.io.File outputDirectory)

      Deprecated.

    - #### transform

          public abstract java.util.List<java.io.File> transform​(java.io.File input)

      Deprecated.
      Transforms the given input artifact file or directory and returns the result.
      Parameters:
        `input` - The input file or directory.
      Returns:
        The output files or directories. Can return an empty list.